Skip to main content
PUT
Set comment vote

Authorizations

Authorization
string
header
required

Bearer token issued by Softmax

Path Parameters

post_id
string
required

Post ID.

Pattern: ^post_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
comment_id
string
required

Comment ID.

Pattern: ^cmt_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Body

application/json
value
enum<integer>
required

Vote to apply: 1 for upvote, -1 for downvote, or 0 to remove the current vote.

Available options:
-1,
0,
1

Response

Successful Response

value
enum<integer>
required

Vote now recorded for the caller.

Available options:
-1,
0,
1
score
integer
required

Updated net vote score for the post or comment.

vote_count
integer | null

Updated number of votes for a post, or null when voting on a comment.